Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Interface JXPathBeanInfo

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JXPathBasicBeanInfo

    public interface JXPathBeanInfo

extends Serializable

JXPathBeanInfo is similar to `BeanInfo` in that it describes properties of a JavaBean class. By default, JXPathBeanInfo classes are automatically generated by `JXPathIntrospector` based on the java.beans.BeanInfo. As with JavaBeans, the user can supply an alternative implementation of JXPathBeanInfo for a custom class. The alternative implementation is located by class name, which is the same as the name of the class it represents with the suffix "XBeanInfo". So, for example, if you need to provide an alternative JXPathBeanInfo class for class "com.foo.Bar", write a class "com.foo.BarXBeanInfo" and make it implement the JXPathBeanInfo interface.

Version:
  $Revision: 668329 $ $Date: 2008-06-16 16:59:48 -0500 (Mon, 16 Jun 2008) $
Author:
  Dmitri Plotnikov

Method Summary
`Class` | `getDynamicPropertyHandlerClass()` For dynamic objects, returns the class implementing the `DynamicPropertyHandler` interface.
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)` Returns a PropertyDescriptor for the specified name or null if there is no such property.
`PropertyDescriptor[]` | `getPropertyDescriptors()` Returns a list of property descriptors for the beans described by this bean info object.
`boolean` | `isAtomic()` Returns true if objects of this class are treated as atomic objects which have no properties of their own.
`boolean` | `isDynamic()` Returns true if the objects of this class have dynamic properties (e.g.

Method Detail

### isAtomic

    boolean isAtomic()

  Returns true if objects of this class are treated as atomic objects which have no properties of their own. For example, `String` and `Number` are atomic.

  Returns:
    boolean

### isDynamic

    boolean isDynamic()

  Returns true if the objects of this class have dynamic properties (e.g. java.util.Map). If this method returns true, `getPropertyDescriptors()` should return null and `getDynamicPropertyHandlerClass()` should return a valid class name. An object cannot have both static and dynamic properties at the same time.

  Returns:
    boolean

### getPropertyDescriptors

    PropertyDescriptor[] getPropertyDescriptors()

  Returns a list of property descriptors for the beans described by this bean info object. Returns null for atomic beans.

  Returns:
    PropertyDescriptor[]

### getPropertyDescriptor

    PropertyDescriptor getPropertyDescriptor(String propertyName)

  Returns a PropertyDescriptor for the specified name or null if there is no such property.

  Parameters:
    `propertyName` - property name
  Returns:
    PropertyDescriptor

### getDynamicPropertyHandlerClass

    Class getDynamicPropertyHandlerClass()

  For dynamic objects, returns the class implementing the `DynamicPropertyHandler` interface. That class can be used to access dynamic properties.

  Returns:
    Class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.